﻿using System;
using System.Collections.Generic;
using System.Text;
using Docs.Excel;
using Docs.Excel.Converting;

namespace SaveToStream
{
    class Program
    {
        static void Main(string[] args)
        {
            //Read excel file.
            ExcelWorkbook wbook = ExcelWorkbook.ReadXLSX(@"..\..\..\ExcelList.xlsx");
            ExcelToHtml converter = new ExcelToHtml(wbook);
            converter.Worksheets[0].ShowGrid = true;

            //Convert Excel to HTML and save it as a memory stream.
            System.IO.MemoryStream stream = converter.Worksheets[0].SaveHTML();
        }
    }
}
